from .layout import Layout


class GridLayout(Layout):

    """Lay out widgets in a grid.

    Grid size is determined by each widget's specified column and row.

    """

    def __init__(self):
        Layout.__init__(self)

    def add(self, widget, row, column):
        Layout.add(self, widget)




    def update(self):
        for widget in self._managed_widgets:
            widget.resize(*widget.sizereq)
            widget.pos.update(*(widget.posreq + self.offset))
